Common tasks
============

Provides common tasks like creating required users, configuring locales or even bootstrapping python.

Requirements
------------

Role Variables
--------------

Defaults:

```
hostname: "{{ inventory_hostname }}"
update_hostname: yes
locales_gen:
  - en_US.UTF-8
  - de_DE.UTF-8
locales_default: de_DE.UTF-8
x11_keymap: de
users:
  - vagrant
sudoers:
  - vagrant
enable_ansible: no
# Will install a specific Ansible version on the target host
ensure_ansible_version: 2.10.3
# Allow sudo with a password (applied to group sudo)
enable_sudo: yes
# Allow passwordless sudo (applied to group wheel)
enable_passwordless_sudo: yes
# Skip provisioning of the firewall
skip_firewall: no
```

Dependencies
------------

Example Playbook
----------------

License
-------

- BSD-3-Clause
- MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).
